%define major 0
%define libname %mklibname erfa %{major}
%define libname_virt    liberfa
%define develname %mklibname erfa -d

Name: erfa
Version: 2.0.0
Release: %mkrel 2
Summary: Essential Routines for Fundamental Astronomy
Group: Sciences/Astronomy
License: BSD
URL: https://github.com/liberfa/erfa
Source0: https://github.com/liberfa/erfa/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
ERFA is a C library containing key algorithms for astronomy, and is 
based on the SOFA library published by the International Astronomical 
Union (IAU).

%package -n %{develname}
Summary: Development files for %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname}
Summary: Essential Routines for Fundamental Astronomy
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
ERFA is a C library containing key algorithms for astronomy, and is 
based on the SOFA library published by the International Astronomical 
Union (IAU).

%prep
%setup -q 

%build
%configure --disable-static
%make_build

%install
%make_install

%check
%make_build check

%files -n %{libname}
%doc README.rst INFO
%license LICENSE
%{_libdir}/liberfa.so.*

%files -n %{develname}
%{_libdir}/liberfa.so
%{_includedir}/erfa*.h
%{_libdir}/pkgconfig/erfa.pc
%exclude %{_libdir}/*.la


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1793560
- Mageia 9 Mass Rebuild

* Thu Jun 17 2021 joequant <joequant> 2.0.0-1.mga9
+ Revision: 1730992
- update to 2.0.0

* Sat Mar 20 2021 joequant <joequant> 1.7.2-1.mga9
+ Revision: 1705405
- update to 1.7.2

* Fri Dec 18 2020 joequant <joequant> 1.7.1-1.mga8
+ Revision: 1660669
- update to 1.7.1

* Tue Feb 18 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1541545
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 29 2019 joequant <joequant> 1.7.0-1.mga8
+ Revision: 1474664
- upgrade to 1.7.0

* Fri Aug 23 2019 joequant <joequant> 1.5.0-1.mga8
+ Revision: 1431482
- update to 1.5.0

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1297617
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 joequant <joequant> 1.4.0-1.mga7
+ Revision: 1172021
- upgrade to 1.4

* Mon May 29 2017 eatdirt <eatdirt> 1.3.0-1.mga6
+ Revision: 1105492
- Upgrade to version 1.3.0

* Sun May 22 2016 joequant <joequant> 1.2.0-1.mga6
+ Revision: 1017513
- upgrade to 1.2.0

* Thu Feb 11 2016 umeabot <umeabot> 1.1.1-3.mga6
+ Revision: 953878
- Mageia 6 Mass Rebuild

* Fri Feb 06 2015 joequant <joequant> 1.1.1-2.mga5
+ Revision: 813664
- fix dependency

* Fri Feb 06 2015 joequant <joequant> 1.1.1-1.mga5
+ Revision: 813646
- fix group
- imported package erfa

